DDR1 Compliance Test Application

Agilent U7233A DDR1 Compliance Test Application

The Agilent DDR1 Compliance Test Application provides the framework for using Agilent Infiniium oscilloscopes to perform the DDR1 (Double Data Rate 1) Compliance testing. It measures electrical parameters, clock parameters and timing parameters of the JEDEC (Joint Electronic Device Engineering Council) specifications, specifically the JESD79E.

The DDR1 Compliance Test Application requires:

  • 54850A, 8000 or 80000 series Infiniium Digital Storage Oscilloscope. Agilent recommends using 4 GHz and higher bandwidth oscilloscope.

  • Version 05.30 or greater of the Infiniium application.

  • U7233A DDR1 Compliance Test Application, version 1.0 and higher.

  • RAM reliability test software.

  • 1169A, 1168A, 1132A or 1131A InfiniiMax probe amplifiers.

  • N5381A or E2677A differential solder-in probe head, N5382A or E2675A differential browser probe head, N5425A ZIF probe head or N5426A ZIF tips.

  • Any computer motherboard system that supports DDR memory.

  • Keyboard, qty = 1, (provided with the Agilent Infiniium oscilloscope).

  • Mouse, qty = 1, (provided with the Agilent Infiniium oscilloscope).

  • Agilent also recommends using a second monitor to view the DDR1 compliance test application.

Below are the required licenses:

  • U7233A DDR1 Compliance Test Application license

  • N5414A InfiniiScan software license (for 80000 series)

  • N5415A InfiniiScan software license (for 8000 series)

  • N5404A Deep memory option (optional).

NOTE:

Ensure that the RAM reliability test software is running on the computer system where the DDR DUT is attached. This application will perform a test on all unused RAM on the system by producing repetitive bursts of read-write data signals to the DDR memory.

To use the DDR1 Compliance Test Application, see:

  • Starting the DDR1 Compliance Test application

    • To view/minimize the task flow pane

    • To view/hide the toolbar

  • Creating or Opening a Test Project

  • Setting Up DDR1 Test Environment

  • Selecting Tests

  • Configuring Tests

  • Connecting the Oscilloscope to the DUT

  • Running Tests

  • Viewing Test Results

    • To show reference images and flash mask hits

    • To change the auto-recovery option

    • To change margin thresholds

    • To change report display

  • Viewing/Printing the HTML Test Report

  • Understanding the HTML Report

  • Saving Test Projects

    For more information on performing DDR1 compliance tests, see:

    For the latest update on U7233A DDR1 compliance tests application, visit:

  • U7233A DDR1 Compliance Test Application Update

    For the latest DDR1 Release Notes, see:

  • DDR1 Release Notes

For more information on DDR1 Compliance Test Application or other Agilent Technologies's products, applications and services, see:

  • Contact Agilent

Top of the page |
 | © Agilent Technologies, Inc. 2007


Notices

© Agilent Technologies, Inc. 2007

No part of this manual may be reproduced in any form or by any means (including electronic storage and retrieval or translation into a foreign language) without prior agreement and written consent from Agilent Technologies, Inc. as governed by United States and international copyright

laws.

Warranty

The material contained in this document is provided “as is,” and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.

Technology Licenses

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as “Commercial computer software” as defined in DFAR 252.227-7014 (June 1995), or as a “commercial item” as defined in FAR 2.101(a) or as “Restricted computer software” as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies’ standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.

Safety Notices

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.

Top of the page | Home |
 |  | © Agilent Technologies, Inc. 2007


Contact Agilent

The complete list of Agilent contacts is available at:

www.agilent.com/find/contactus

Phone or Fax

United States: (tel) 800 829 4444 (fax) 800 829 4433 | Korea: (tel) (080) 769 0800 (fax) (080) 769 0900
Canada: (tel) 877 894 4414 (fax) 800 746 4866 | Latin America: (tel) (305) 269 7500
China: (tel) 800 810 0189 (fax) 800 820 2816 | Taiwan: (tel) 0800 047 866 (fax) 0800 286 331
Europe: (tel) 31 20 547 2111 | Other Asia Pacific Countries: (tel) (65) 6375 8100 (fax) (65) 6755 0042 Email: tm_ap@agilent.com
Japan: (tel) (81) 426 56 7832 (fax) (81) 426 56 7840 |


Running the Automated Test Application on a Second Monitor

A second monitor can be used to display the automated test application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Second Monitor on the rear panel of the oscilloscope and not to the port labeled VGA. (The VGA output is only used to display the screen of the oscilloscope on the external monitor.)

Before starting the automated test application, you should be sure that the second monitor is properly configured:

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  1. Select Display.

  2. Select the Settings tab.

  3. Select monitor two and set the Screen resolution and Color quality for your monitor.

  4. Enable the Extend my Windows desktop onto this monitor control.

  5. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.

See Also

DDR1 Electrical Performance Compliance Test Application


Starting the DDR1 Automated Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>DDR1 Test.

The DDR1 compliance test application window appears.

  2. The task flow pane and the tabs in the main pane show the steps you need to take before running the automated tests.

  3. You may find an asterisk symbol appears at the top panel of the window. This asterisk indicates that changes have been made to the original settings that have not been saved. For example, the default Class is A. If Class B is selected, the asterisk symbol appears.

See Also

    • To view/minimize the task flow pane

    • To view/hide the toolbar

    • Creating or Opening a Test Project


To view/minimize the task flow pane

To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

To minimize the task flow pane, click the minimize button in the pane.

To restore a minimized task flow pane, click the Task Flow button in the pane.

See Also

To view/hide the toolbar

Creating or Opening a Test Project


To view/hide the toolbar

To toggle between a hidden and visible toolbar, choose View>Toolbar from the menu.

See Also

To view/minimize the task flow pane

Creating or Opening a Test Project


Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the menu.

    2. A new project is opened and given a default name which can be saved as another name later.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

    • Setting Up DDR1 Test Environment


Setting Up DDR1 Test Environment

  1. Click the Set Up tab, or click the Set Up box in the Task Flow pane.

  2. Select the Speed Grade of the DUT signal you want to test within the provided options.

  3. Select the Test Mode, either Compliance or Advanced Debug.

  4. The Advanced Debug selection also allows you to type in the data rate of the DUT signal. To do so, click the Change Settings button - this enables the combo box where you can type in the data rate.

  5. Type in or select the Device Identifier from the drop-down list.

  6. Type in or select the User Description from the drop-down list.

  7. Enter your comments in the Comments text box.

NOTE:

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time Speed Grade or Test Mode options change. This is because some tests are only applicable under certain conditions of speed grade and test mode. For example, the Compliance Test Mode selection shows a different test list compared to the Advanced Debug Mode selection.

See Also

Selecting Tests

    For more information on performing DDR1 compliance tests, see:


Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

NOTE:

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time Speed Grade or Test Mode options change. This is because some tests are only applicable under certain conditions of speed grade and test mode. For example, the Compliance Test Mode selection results in a different test list as compared to the Advanced Debug Mode selection.

Some things to note:
  • Checking a parent node or group will check all available sub-groups or tests.
  • Un-checking a parent node or group will uncheck all sub-groups or tests.
  • A parent node is checked if all subgroups are checked.
  • A parent node is unchecked if ANY subgroup is unchecked.

Clicking the Right Mouse Button

When you click the right mouse button on the tests pane, it produces a pop-up menu containing some shortcuts for selecting and de-selecting tests.

When test have already been run

If tests have already been run, you will see their status in the Select Tests tab.

The marks have the following meanings:

The test passed.

The test failed.

The test has not been run, or no tests in the group have been run.

The test is currently running.

Some tests in the group have run and passed.

Some tests in the group have run and failed.

Some tests in the group have passed and some have failed; not all of the tests have been run.

Some tests in the group have passed and some have failed; all of the tests have run.

All tests in the group have run and passed.

All tests in the group have run and failed.

Electrical Tests

The Electrical Tests are available for all the DDR1 speed grade options. The Electrical Tests are divided into two major sections:

  • Single-Ended Signals Tests

    • The Single-Ended Signals tests are divided into three groups:

    • AC Input Parameters
    • AC Output Parameters
    • Overshoot/Undershoot.
  • Differential Signals Tests

    • The Differential Signals tests are grouped into one group:

    • AC Input Parameters.

The test limits are based on the JEDEC Standard JESD79E specification.

Timing Tests

The Timing Tests are available for all the DDR1 speed grade options. The test limits are based on the JEDEC Standard JESD79E specification. The Timing Tests are divided into four sections:

  • Clock Timing Tests
  • Data Strobe Timing Tests
  • Data Mask Timing Tests
  • Command and Address Timing Tests

The test limits are based on the JEDEC Standard JESD79E specification.

Advance Debug Mode

The Advanced Debug Mode Tests are available for all the DDR1 speed grade options and do not comply to any specifications. However, these tests are used to perform customized signals debugging. The Advanced Debug Mode Tests are divided into two sections:

  • Clock Tests
  • High-Low State Ringing Tests

See Also

    • Configuring Tests


Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. You are allowed to change the configuration of the Compliance Mode and the Debug Mode here.

    Select your preferred mode and the test list changes according to your selection.

    • Compliance Mode - lets you choose the configuration options necessary to meet the compliance standard tests.
    • Debug Mode - lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the option you want to configure and enter your settings. A description of the selected configuration item appears in the lower, right part of the application window. Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

HINT:

  • A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

  • A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

  • A quick way to reset all configuration options and delete all the test results is to create a new project. The new project will have default configuration options.

See Also

    • Connecting the Oscilloscope to the DUT


Connecting the Oscilloscope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. Follow the displayed instructions for connecting the oscilloscope to the device under test.

  3. When connections to the device under test have been made, check the I have completed these instructions box.

See Also

Running Tests


Running Tests

  • NOTE:

    You should allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

  • ADVICE:

    It is a good idea to calibrate the oscilloscope at least once a year or when the Calibration DTemp is greater than ±5 °C. The Calibration DTemp is found in the Help>About Infiniium... menu on the Infiniium oscilloscope.

    1. To run all selected tests, click Run Tests in the Task Flow pane or click [image] in the toolbar and click Run These Tests.

      To run a selected branch of tests, select the branch in the Select Tests tab; then click [image] in the toolbar.

      By default, one trial is performed for each test. However, you can increase the number of trials by selecting the Enable MultiTrial Run checkbox and entering the desired number of trials in the Number of Trials box and click Run These Tests to start the multi-trial tests.

    2. If there are existing test results, you are asked if you would like to keep them or re-test (delete) them.

      If you would like to keep the existing test results, to compare against new results, select Append New "Trial" Results.

      Select Replace the Existing Results if you would like to delete the existing test results.

    3. While the tests are running, status dialogs appear to inform you about the test progress.

    4. When the tests are complete, click OK.

    See Also

    Viewing Test Results


Viewing Test Results

  1. Click [image] in the toolbar, or click the Results tab.

  2. In general, the Results tab contains three resizable panes. The top pane lists the tests that were performed and the summary of the tests. If you select one of the tests in the top pane, the details and the reference images (if any) are shown in the lower panes.

  3. The summary of the test trial is displayed in the bottom left pane. It also shows the Worst Trial and has links to the trial display option where you can modify the information displayed.

  4. The bottom right pane may have several tabs, depending on the selected Report Preferences. If more than one trial is selected, then the first tab will be the Summary tab. It shows the summary of all the test trials. A maximum of 25 trials can be displayed at any one time.

  5. If the worst first is selected as the trial display option, the Worst Trial will be the next tab after the Summary tab, followed by other trials in order of trial performance.

  6. The reference images will appear in the bottom right pane for the selected trials. See To show reference images and flash mask hits for more details on reference images.

HINT: A quick way to reset all configuration options and delete all the test results is to create a new project. The new project will have default configuration options.

See Also

To show reference images and flash mask hits

To change margin thresholds

To change the auto-recovery option

To change report display

Viewing/Printing the HTML Test Report


To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

    This opens the result waveform dialog.

    In the result waveform dialog, you can:

    Click the [image] flash red pixels button to highlight the mask failure bits.

    Click the [image] zoom in or [image] zoom out buttons to resize the dialog.

  2. Click the [image] close button to close the result waveform dialog.

See Also

To change margin thresholds

To change the auto-recovery option

To change report display

Viewing/Printing the HTML Test Report


To change margin thresholds

  1. From the DDR1 Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Margin Thresholds tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

    In the Margin Thresholds tab, you can:

    • Enable or disable margin reporting.

    • You can change the percent of margin at which to give warnings or critical failures.

  2. Click OK to close the Preferences dialog.

See Also

To show reference images and flash mask hits

To change the auto-recovery option

To change report display

Viewing/Printing the HTML Test Report


To change the auto-recovery option

  1. From the DDR1 Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Run tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

    In the Run tab, you can choose one of the below auto-recovery option :

    • Full - this option enables full recovery. This option saves the sub-trials even if the entire multi-trial was not completed.

    • Partial - this option enables read-only recovery. Similar to full recovery except that the result is saved as read-only.

    • None - this option disables the recovery option for the sub-trials. The result will only be saved if the entire multi-trial is completed.

  2. Click OK to close the Preferences dialog.

See Also

To show reference images and flash mask hits

To change margin thresholds

To change report display

Viewing/Printing the HTML Test Report


To change report trial display

  1. From the DDR1 Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Reports tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

    Or, when viewing the Results tab, click Modify...

    In the Report tab, you can:

    • Change the view of the test result: You can view up to 25 worst trials at one time.

    • Order trial details chronologically or by worst trial first.

    • View images for up to 25 worst trial(s).

  2. Click OK to close the Preferences dialog.

See Also

To show reference images and flash mask hits

To change margin thresholds

To change the auto-recovery option

Viewing/Printing the HTML Test Report


Viewing/Printing the HTML Test Report

Viewing/Printing the DDR1 HTML Test Report

  1. To view the DDR1 HTML test report, click the HTML Report tab.

  2. To preview the DDR1 HTML test report printout, click [image] or choose File>Print Preview... from the menu.

  3. To print the DDR1 HTML test report, click [image] or choose File>Print... from the menu.

See Also

Understanding the HTML Report

Saving Test Projects


Understanding the DDR1 HTML Report

The information in this topic will help you understand the different sections of the DDR1 HTML Report.

The top section of the DDR1 HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box: Speed Grade, Test Mode, Device Identifier, User Description and Comments. If any of this information was not entered, it will not be displayed here.

Summary Section

The Summary Section gives an overview for each of the tests that were run. The Pass column shows if the tests pass or fail. The Measured Value column shows the worst case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set in Margin Thresholds (in Preferences).

Measurement Section

The next section of the report shows the statistics for each of the selected measurements.


Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File>Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.

See Also

    For more information on performing DDR1 compliance tests, see: